Name:		istatd
Version:	0.5.8
Release:	2%{?dist}
Summary:	Daemon serving statistics to your iStat iPhone application

Group:		Applications/System
License:	BSD
URL:		https://github.com/tiwilliam/istatd
Source0:	https://github.com/downloads/tiwilliam/istatd/istatd-%{version}.tar.gz
Source1:	istatd.service

BuildRequires:	libxml2-devel
Requires(pre):	shadow-utils


%description
istatd is a daemon serving statistics to your iStat iPhone
application from Linux, Solaris & FreeBSD.
istatd collects data such as CPU, memory, network and disk
usage and keeps the history.
Once connecting from the iPhone and entering the lock code
this data will be sent to the iPhone and shown in fancy graphs.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_var}/run/istat
mkdir -p %{buildroot}/%{_var}/cache/istat
mkdir -p %{buildroot}/%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}/%{_unitdir}/


%pre
getent group istat >/dev/null || groupadd -r istat
getent passwd istat >/dev/null || \
    useradd -r -g istat -d /var/run/istat -s /sbin/nologin \
    -c "istatd daemon user" istat
exit 0


%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable istatd.service > /dev/null 2>&1 || :
    /bin/systemctl stop istatd.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :


%files
%doc AUTHORS.txt CHANGELOG.txt DEVELOPERS.txt README.txt
%{_bindir}/istatd
%config(noreplace) %{_sysconfdir}/istat.conf
%{_mandir}/man1/istatd.1.gz
%{_mandir}/man5/istat.conf.5.gz
%attr(750, istat, istat) %{_var}/cache/istat
%attr(750, istat, istat) %{_var}/run/istat
%{_unitdir}/istatd.service


%changelog
* Fri Jan 04 2013 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 0.5.8-2
- Specfile cleanup

* Tue Oct 30 2012 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 0.5.8-1
- Initial release

